<template>
    
    <nav-bar :options="menu" :router="useRouter()" title="Vue3 Components Library">
    
        <div class="container mt-4">
            <bread-crumb ref="breadcrumb" class="mb-4">
                <router-view @changeBreadCrumbRoutes="changeBreadCrumbRoutes"></router-view>
            </bread-crumb>
        </div>
        
    </nav-bar>
   
</template>
  
<script setup lang="ts">
import { ref, onMounted } from 'vue';
import { NavBar } from "../src/index";
import { Option } from "../src/index";
import { useRouter } from "vue-router";

// var menuBD = JSON.parse('[{"name":"Causas","options":null,"route":{"name":"inicioCausas"},"extra_db_data":{"id_opcion":"002","id_app":"BICAMERAL","menu_oculto":"1"}},{"name":"Consulta General","options":null,"route":{"name":"consultaGeneral"},"extra_db_data":{"id_opcion":"003","id_app":"BICAMERAL","menu_oculto":"1"}},{"name":"Tablas","options":[{"name":"Presidentes","options":null,"route":{"name":"inicioPresidentes"},"extra_db_data":{"id_opcion":"005","id_app":"BICAMERAL","menu_oculto":"1"}}],"route":null,"extra_db_data":{"id_opcion":"004","id_app":"BICAMERAL","menu_oculto":"1"}}]');
var menuBD: Array<any> = [
    {
        name: "Inicio",
        options: null,
        route: { name: "inicio" },
        extra_db_data: {
            id_opcion: "1",
            id_app: null,
            menu_oculto: 0
        }
    },
    {
        name: "Breadcrum",
        options: null,
        route: { name: "breadcrumb" },
        extra_db_data: {
            id_opcion: "1",
            id_app: null,
            menu_oculto: 0
        }
    },
    {
       name: "Uploader",
       options: null,
       route: { name: "uploader" },
       extra_db_data: {
            id_opcion: "1",
            id_app: null,
            menu_oculto: 0
        }
    },
    {
        name: "Autocomplete",
        options: null,
        route: { name: "autocomplete" },
        extra_db_data: {
            id_opcion: "1",
            id_app: null,
            menu_oculto: 0
        }
    },
    {
        name: "Documents List",
        options: null,
        route: { name: "documentslist" },
        extra_db_data: {
            id_opcion: "1",
            id_app: null,
            menu_oculto: 0
        }
    },
    {
        name: "Modal",
        options: null,
        route: { name: "modal" },
        extra_db_data: {
            id_opcion: "1",
            id_app: null,
            menu_oculto: 0
        }
    },
    {
        name: "Input Expediente",
        options: null,
        route: { name: "input-expediente" },
        extra_db_data: {
            id_opcion: "1",
            id_app: null,
            menu_oculto: 0
        }
    },
    {
        name: "Input Currency",
        options: null,
        route: { name: "input-currency" },
        extra_db_data: {
            id_opcion: "1",
            id_app: null,
            menu_oculto: 0
        }
    },
    {
        name: "Input Cuil",
        options: null,
        route: { name: "input-cuil" },
        extra_db_data: {
            id_opcion: "1",
            id_app: null,
            menu_oculto: 0
        }
    },
];

var menu: Option[] = [];
menuBD.forEach((element: Option) => {
    menu.push(Object.assign(new Option(), element));
});

const breadcrumb = ref(null);

function changeBreadCrumbRoutes(routes){
    breadcrumb.value.updateRoutes(routes);
}

onMounted(() => {
    let routes = [
        { name: "inicio" },
    ];
    changeBreadCrumbRoutes(routes);
});

</script>

<style lang="scss">
    @import "bootstrap/scss/bootstrap";
</style>
  